### Hierarchy

- SdaDialogDelegate

### Implements

- DialogDelegate

## Index

### Properties

- _dialogDelegateStateVisitor
- _dialogProxy
- ALIAS_CREATE_COMMENT_MENU_ACTION_ID
- ALIAS_OPEN_LATEST_FILE_MENU_ACTION_ID
- ALIAS_OPEN_MENU_ACTION_ID
- ALIAS_SHOW_LATEST_MENU_ACTION_ID
- ALIAS_SHOW_TAGS_MENU_ACTION_ID
- OPEN_MENU_ACTION_ID

### Methods

- captureNextOfflineDocumentContent
- captureNextOfflineLastComment
- captureNextOfflineTag
- captureNextOfflineTags
- captureNextOfflineWorkPackage
- captureOfflineSession
- captureOfflineWorkPackages
- constructCreateCommentNullRedirection
- delegateBaseUrl
- delegateBriefcaseVisitor
- delegateOnline
- delegateSelectedWorkPackageIds
- delegateUserId
- delegateWorkPackagesRecordSetVisitor
- deleteJson
- getBlob
- getJson
- getText
- handleDeleteJsonResponse
- handleGetBlobResponse
- handleGetJsonResponse
- handleGetTextResponse
- handleOpenStreamResponse
- handlePostJsonResponse
- handlePostMultipartResponse
- handlePutJsonResponse
- initialize
- initializeAfterCreateSession
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- notifyClientListener
- openStream
- performBriefcaseWorkbenchActionRequest
- performCreateSessionRequest
- performDeleteSessionRequest
- performEnterOfflineModeContinueRequest
- performEnterOfflineModeMenuActionRequest
- performExitOfflineModeMenuActionRequest
- performOfflineBriefcaseCommentsRequest
- performOfflineBriefcaseWorkPackagesRequest
- performOfflineCreateCommentMenuAction
- performOfflineDocumentsPropertiesRecordRequest
- performOfflineShowDocsMenuAction
- performOfflineShowLatestMenuAction
- performOfflineTagsPropertiesRecordRequest
- performWorkPackagesAddWorkPackageToBriefcase
- performWorkPackagesRemoveWorkPackageFromBriefcase
- postJson
- postMultipart
- putJson

## Properties

### Private _dialogDelegateStateVisitor

_dialogDelegateStateVisitor: SdaDialogDelegateStateVisitor = null

- Defined in ppm/SdaDialogDelegate.ts:62

### Private _dialogProxy

_dialogProxy: DialogProxy

- Defined in ppm/SdaDialogDelegate.ts:61

### Static Private ALIAS_CREATE_COMMENT_MENU_ACTION_ID

ALIAS_CREATE_COMMENT_MENU_ACTION_ID: string = "alias_CreateComment"

- Defined in ppm/SdaDialogDelegate.ts:54

### Static Private ALIAS_OPEN_LATEST_FILE_MENU_ACTION_ID

ALIAS_OPEN_LATEST_FILE_MENU_ACTION_ID: string = "alias_OpenLatestFile"

- Defined in ppm/SdaDialogDelegate.ts:56

### Static Private ALIAS_OPEN_MENU_ACTION_ID

ALIAS_OPEN_MENU_ACTION_ID: string = "alias_Open"

- Defined in ppm/SdaDialogDelegate.ts:55

### Static Private ALIAS_SHOW_LATEST_MENU_ACTION_ID

ALIAS_SHOW_LATEST_MENU_ACTION_ID: string = "alias_ShowLatest"

- Defined in ppm/SdaDialogDelegate.ts:57

### Static Private ALIAS_SHOW_TAGS_MENU_ACTION_ID

ALIAS_SHOW_TAGS_MENU_ACTION_ID: string = "alias_ShowTags"

- Defined in ppm/SdaDialogDelegate.ts:58

### Static Private OPEN_MENU_ACTION_ID

OPEN_MENU_ACTION_ID: string = "open"

- Defined in ppm/SdaDialogDelegate.ts:59

## Methods

### Private captureNextOfflineDocumentContent

- captureNextOfflineDocumentContent(baseUrl: string, tenantId: string, sessionId: string, beforeDocumentsListDialog: DialogVisitor, afterDocumentsListDialog: DialogVisitor, nextDocumentRecordVisitor: RecordVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:511

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeDocumentsListDialog: DialogVisitor

  - ##### afterDocumentsListDialog: DialogVisitor

  - ##### nextDocumentRecordVisitor: RecordVisitor

  #### Returns Promise<void>

### Private captureNextOfflineLastComment

- captureNextOfflineLastComment(baseUrl: string, tenantId: string, sessionId: string, beforeDocumentsListDialog: DialogVisitor, afterDocumentsListDialog: DialogVisitor, nextDocumentRecordVisitor: RecordVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:580

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeDocumentsListDialog: DialogVisitor

  - ##### afterDocumentsListDialog: DialogVisitor

  - ##### nextDocumentRecordVisitor: RecordVisitor

  #### Returns Promise<void>

### Private captureNextOfflineTag

- captureNextOfflineTag(baseUrl: string, tenantId: string, sessionId: string, beforeTagsListDialog: DialogVisitor, afterTagsListDialog: DialogVisitor, nextTagRecordVisitor: RecordVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:490

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeTagsListDialog: DialogVisitor

  - ##### afterTagsListDialog: DialogVisitor

  - ##### nextTagRecordVisitor: RecordVisitor

  #### Returns Promise<void>

### Private captureNextOfflineTags

- captureNextOfflineTags(baseUrl: string, tenantId: string, sessionId: string, beforeDocumentsListDialog: DialogVisitor, afterDocumentsListDialog: DialogVisitor, nextWorkPackageId: string): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:470

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### beforeDocumentsListDialog: DialogVisitor

  - ##### afterDocumentsListDialog: DialogVisitor

  - ##### nextWorkPackageId: string

  #### Returns Promise<void>

### Private captureNextOfflineWorkPackage

- captureNextOfflineWorkPackage(baseUrl: string, tenantId: string, sessionId: string, onlineWorkPackagesListDialogId: string, offlineWorkPackagesListDialogId: string, nextWorkPackageId: string): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:449

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### onlineWorkPackagesListDialogId: string

  - ##### offlineWorkPackagesListDialogId: string

  - ##### nextWorkPackageId: string

  #### Returns Promise<void>

### Private captureOfflineSession

- captureOfflineSession(baseUrl: string, tenantId: string, sessionId: string): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:438

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<JsonClientResponse>

### Private captureOfflineWorkPackages

- captureOfflineWorkPackages(baseUrl: string, tenantId: string, sessionId: string): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:646

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<void>

### Private constructCreateCommentNullRedirection

- constructCreateCommentNullRedirection(tenantId: string, sessionId: string, dialogId: string): JsonClientResponse

- - Defined in ppm/SdaDialogDelegate.ts:673

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns JsonClientResponse

### Private delegateBaseUrl

- delegateBaseUrl(): string

- - Defined in ppm/SdaDialogDelegate.ts:683

  #### Returns string

### Private delegateBriefcaseVisitor

- delegateBriefcaseVisitor(): BriefcaseVisitor

- - Defined in ppm/SdaDialogDelegate.ts:687

  #### Returns BriefcaseVisitor

### Private delegateOnline

- delegateOnline(): boolean

- - Defined in ppm/SdaDialogDelegate.ts:691

  #### Returns boolean

### Private delegateSelectedWorkPackageIds

- delegateSelectedWorkPackageIds(): string[]

- - Defined in ppm/SdaDialogDelegate.ts:695

  #### Returns string[]

### Private delegateUserId

- delegateUserId(): string

- - Defined in ppm/SdaDialogDelegate.ts:699

  #### Returns string

### Private delegateWorkPackagesRecordSetVisitor

- delegateWorkPackagesRecordSetVisitor(): WorkPackagesRecordSetVisitor

- - Defined in ppm/SdaDialogDelegate.ts:703

  #### Returns WorkPackagesRecordSetVisitor

### deleteJson

- deleteJson(request: DialogRequest): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.deleteJson

  - Defined in ppm/SdaDialogDelegate.ts:329

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse> | null

### getBlob

- getBlob(request: DialogRequest): Promise<BlobClientResponse> | null

- Implementation of DialogDelegate.getBlob

  - Defined in ppm/SdaDialogDelegate.ts:93

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<BlobClientResponse> | null

### getJson

- getJson(request: DialogRequest): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.getJson

  - Defined in ppm/SdaDialogDelegate.ts:125

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse> | null

### getText

- getText(request: DialogRequest): Promise<TextClientResponse> | null

- Implementation of DialogDelegate.getText

  - Defined in ppm/SdaDialogDelegate.ts:101

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<TextClientResponse> | null

### handleDeleteJsonResponse

- handleDeleteJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.handleDeleteJsonResponse

  - Defined in ppm/SdaDialogDelegate.ts:359

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handleGetBlobResponse

- handleGetBlobResponse(request: DialogRequest, response: Promise<BlobClientResponse>): Promise<BlobClientResponse> | null

- Implementation of DialogDelegate.handleGetBlobResponse

  - Defined in ppm/SdaDialogDelegate.ts:365

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<BlobClientResponse>

  #### Returns Promise<BlobClientResponse> | null

### handleGetJsonResponse

- handleGetJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.handleGetJsonResponse

  - Defined in ppm/SdaDialogDelegate.ts:371

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handleGetTextResponse

- handleGetTextResponse(request: DialogRequest, response: Promise<TextClientResponse>): Promise<TextClientResponse> | null

- Implementation of DialogDelegate.handleGetTextResponse

  - Defined in ppm/SdaDialogDelegate.ts:386

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<TextClientResponse>

  #### Returns Promise<TextClientResponse> | null

### handleOpenStreamResponse

- handleOpenStreamResponse(request: DialogRequest, response: Promise<StreamProducer>): Promise<StreamProducer> | null

- Implementation of DialogDelegate.handleOpenStreamResponse

  - Defined in ppm/SdaDialogDelegate.ts:392

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<StreamProducer>

  #### Returns Promise<StreamProducer> | null

### handlePostJsonResponse

- handlePostJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.handlePostJsonResponse

  - Defined in ppm/SdaDialogDelegate.ts:398

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### handlePostMultipartResponse

- handlePostMultipartResponse<T>(request: DialogRequest, response: Promise<VoidClientResponse>): Promise<VoidClientResponse> | null

- Implementation of DialogDelegate.handlePostMultipartResponse

  - Defined in ppm/SdaDialogDelegate.ts:423

  #### Type parameters

  - #### T

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<VoidClientResponse>

  #### Returns Promise<VoidClientResponse> | null

### handlePutJsonResponse

- handlePutJsonResponse(request: DialogRequest, response: Promise<JsonClientResponse>): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.handlePutJsonResponse

  - Defined in ppm/SdaDialogDelegate.ts:429

  #### Parameters

  - ##### request: DialogRequest

  - ##### response: Promise<JsonClientResponse>

  #### Returns Promise<JsonClientResponse> | null

### initialize

- initialize(dialogProxy: DialogProxy): Promise<void>

- Implementation of DialogDelegate.initialize

  - Defined in ppm/SdaDialogDelegate.ts:64

  #### Parameters

  - ##### dialogProxy: DialogProxy

  #### Returns Promise<void>

### Private initializeAfterCreateSession

- initializeAfterCreateSession(request: DialogRequest, sessionVisitor: SessionVisitor): Promise<void>

- - Defined in ppm/SdaDialogDelegate.ts:707

  #### Parameters

  - ##### request: DialogRequest

  - ##### sessionVisitor: SessionVisitor

  #### Returns Promise<void>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- Implementation of DialogDelegate.isAnyUserInBriefcaseMode

  - Defined in ppm/SdaDialogDelegate.ts:70

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- Implementation of DialogDelegate.isUserInBriefcaseMode

  - Defined in ppm/SdaDialogDelegate.ts:81

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### Private notifyClientListener

- notifyClientListener(clientEvent: ClientEvent): void

- - Defined in ppm/SdaDialogDelegate.ts:729

  #### Parameters

  - ##### clientEvent: ClientEvent

  #### Returns void

### openStream

- openStream(request: DialogRequest): Promise<StreamProducer> | null

- Implementation of DialogDelegate.openStream

  - Defined in ppm/SdaDialogDelegate.ts:109

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<StreamProducer> | null

### Private performBriefcaseWorkbenchActionRequest

- performBriefcaseWorkbenchActionRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:736

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performCreateSessionRequest

- performCreateSessionRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:744

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performDeleteSessionRequest

- performDeleteSessionRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:764

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performEnterOfflineModeContinueRequest

- performEnterOfflineModeContinueRequest(baseUrl: string, tenantId: string, sessionId: string): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:773

  #### Parameters

  - ##### baseUrl: string

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<JsonClientResponse>

### Private performEnterOfflineModeMenuActionRequest

- performEnterOfflineModeMenuActionRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:790

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performExitOfflineModeMenuActionRequest

- performExitOfflineModeMenuActionRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:816

  NOTE: The Work_Package_Id referenced by the show_tags action is an implied Work_Package_Id, it is not an actual argument on the action. It can be implied because the parent dialog is constrained by the work package id.

  Work_Packages .aliasOpen@WorkPackage_Id -> WorkpackageDocumentsFORM@Work_Package_Id WorkpackageDocumentsDocuments@Work_Package_Id .createcomment@DocumentID -> Documents_CreateComment .showtags@WorkPackage_Id -> Tags WorkpackageTagsTags@Work_Package_Id .createcomment@TagId -> Documents_CreateComment .open@TagId -> TagDetailsFORM@Tag_Id TagDetailsDocuments@Tag_Id .createComment@Document_Id -> Documents_CreateComment

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineBriefcaseCommentsRequest

- performOfflineBriefcaseCommentsRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1122

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineBriefcaseWorkPackagesRequest

- performOfflineBriefcaseWorkPackagesRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1127

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineCreateCommentMenuAction

- performOfflineCreateCommentMenuAction(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1141

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineDocumentsPropertiesRecordRequest

- performOfflineDocumentsPropertiesRecordRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1167

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineShowDocsMenuAction

- performOfflineShowDocsMenuAction(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1173

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineShowLatestMenuAction

- performOfflineShowLatestMenuAction(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1187

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performOfflineTagsPropertiesRecordRequest

- performOfflineTagsPropertiesRecordRequest(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1304

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performWorkPackagesAddWorkPackageToBriefcase

- performWorkPackagesAddWorkPackageToBriefcase(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1310

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### Private performWorkPackagesRemoveWorkPackageFromBriefcase

- performWorkPackagesRemoveWorkPackageFromBriefcase(request: DialogRequest): Promise<JsonClientResponse>

- - Defined in ppm/SdaDialogDelegate.ts:1330

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse>

### postJson

- postJson(request: DialogRequest): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.postJson

  - Defined in ppm/SdaDialogDelegate.ts:206

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse> | null

### postMultipart

- postMultipart<T>(request: DialogRequest): Promise<VoidClientResponse> | null

- Implementation of DialogDelegate.postMultipart

  - Defined in ppm/SdaDialogDelegate.ts:117

  #### Type parameters

  - #### T

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<VoidClientResponse> | null

### putJson

- putJson(request: DialogRequest): Promise<JsonClientResponse> | null

- Implementation of DialogDelegate.putJson

  - Defined in ppm/SdaDialogDelegate.ts:262

  #### Parameters

  - ##### request: DialogRequest

  #### Returns Promise<JsonClientResponse> | null

Generated using TypeDoc